> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/data-class-management/ootb-data-class.md).

# OOTB Data Class

Management of `Out-of-the-box Data Classes`

## Find Out-Of-The-Box Data Classes

> Returns \`Out-of-the-box Data Classes\` with their import status.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra Classification - Data Class API","version":"0.0.3"},"tags":[{"name":"OOTB Data Class","description":"Management of `Out-of-the-box Data Classes`"}],"servers":[{"url":"/rest/classification/v1"}],"security":[{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Collibra REST API authentication using Basic Authentication."},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Collibra REST API authentication using JSON Web Token."}},"parameters":{"Offset":{"name":"offset","in":"query","required":false,"description":"The index of the first result to retrieve.\n\nIf not set (offset = `0`), results will be retrieved starting from row `0`.\n","schema":{"type":"integer","format":"int32","default":0}},"Limit":{"name":"limit","in":"query","required":false,"description":"The maximum number of results to retrieve.\n\nIf not set, the default limit  (limit = `50`) will be used. The maximum value for this parameter is\n`1000`.\n","schema":{"type":"integer","format":"int32","default":50,"maximum":1000}}},"schemas":{"OotbDataClassPagedResponse":{"type":"object","required":["results"],"properties":{"results":{"type":"array","description":"List of OOTB Data Classes paginated","items":{"$ref":"#/components/schemas/OotbDataClass"}}}},"OotbDataClass":{"type":"object","required":["name","status","types"],"properties":{"name":{"type":"string","description":"The name of OOTB Data Class"},"status":{"type":"string","description":"The import status of OOTB Data Class.\n\nValues can be:\n- `NEW`\n- `EXISTS`\n- `EXISTS-DIFFERENT`\n"},"types":{"type":"array","items":{"type":"string"},"description":"Types of rules currently associated to the OOTB Data Class if any\n"}}},"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"An HTTP response code."},"titleMessage":{"type":"string","description":"A translated message."},"helpMessage":{"type":"string","description":"A translated message."},"userMessage":{"type":"string","description":"A translated message."},"errorCode":{"type":"string","description":"An error code. This error code is not translated."}}}},"responses":{"InvalidRequest401":{"description":"The client is not authenticated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest403":{"description":"The user lacks permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"InvalidRequest500":{"description":"An unexpected error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}}}},"paths":{"/ootbDataClasses":{"get":{"tags":["OOTB Data Class"],"summary":"Find Out-Of-The-Box Data Classes","description":"Returns `Out-of-the-box Data Classes` with their import status.\n","operationId":"findOOTBDataClasses","parameters":[{"$ref":"#/components/parameters/Offset"},{"$ref":"#/components/parameters/Limit"}],"responses":{"200":{"description":"`OOTB Data Class` retrieved successfully\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OotbDataClassPagedResponse"}}}},"400":{"description":"Invalid request to find `OOTB Data Classes`.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardErrorResponse"}}}},"401":{"$ref":"#/components/responses/InvalidRequest401"},"403":{"$ref":"#/components/responses/InvalidRequest403"},"500":{"$ref":"#/components/responses/InvalidRequest500"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/data-class-management/ootb-data-class.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
